Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class UnknownXMLObj

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.fo.XMLObj
              org.apache.fop.fo.UnknownXMLObj

All Implemented Interfaces:
  java.lang.Cloneable, ContentHandlerFactory.ObjectBuiltListener, java.util.EventListener

public class UnknownXMLObj
extends XMLObj

Class for handling generic XML from a namespace not recognized by FOP

Nested Class Summary
`static class` | `UnknownXMLObj.Maker` Inner class for an UnknownXMLObj Maker

Nested classes inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary

Fields inherited from class org.apache.fop.fo.XMLObj
`doc, element, name`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`protected` | `UnknownXMLObj(FONode parent, java.lang.String space)` Constructs an unknown xml object (called by Maker).

Method Summary
`protected void` | `addChildNode(FONode child)` Adds a node as a child of this node. The default implementation of this method just ignores any child node being added.
`protected void` | `characters(char[] data, int start, int length, PropertyList pList, org.xml.sax.Locator locator)` Adds characters. Does nothing by default. To be overridden in subclasses that allow `#PCDATA` content.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI for this node
`java.lang.String` | `getNormalNamespacePrefix()` Returns the normally used namespace prefix for this node

Methods inherited from class org.apache.fop.fo.XMLObj
`addElement, buildTopLevel, createBasicDocument, getDimension, getDOMDocument, getIntrinsicAlignmentAdjust, getLocalName, notifyObjectBuilt, processNode, validateChildNode`

Methods inherited from class org.apache.fop.fo.FONode
`addCharacters, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, createPropertyList, decorateWithContextInfo, endOfNode, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getExtensionAttachment, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, removeChild, setLocator, startOfNode, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownXMLObj

    protected UnknownXMLObj(FONode parent,
                            java.lang.String space)

  Constructs an unknown xml object (called by Maker).

Parameters:
  `parent` - the parent formatting object
  `space` - the namespace for this object

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI for this node

  Overrides:
    `getNamespaceURI` in class `FONode`
  Returns:
    the namespace URI for this node

### getNormalNamespacePrefix

    public java.lang.String getNormalNamespacePrefix()

  Returns the normally used namespace prefix for this node

  Specified by:
    `getNormalNamespacePrefix` in class `FONode`
  Returns:
    the normally used namespace prefix for this kind of node (ex. "fo" for XSL-FO)

### addChildNode

    protected void addChildNode(FONode child)

  Adds a node as a child of this node. The default implementation of this method just ignores any child node being added.

  Overrides:
    `addChildNode` in class `XMLObj`

### characters

    protected void characters(char[] data,
                              int start,
                              int length,
                              PropertyList pList,
                              org.xml.sax.Locator locator)
                       throws FOPException

  Adds characters. Does nothing by default. To be overridden in subclasses that allow `#PCDATA` content.

  Overrides:
    `characters` in class `XMLObj`
  Throws:
    `FOPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.